Package ru.bitel.bgbilling.plugins.documents.server.bean

# Class DocumentTypeDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<DocumentType>
ru.bitel.bgbilling.common.dao.AbstractIdDao<DocumentType>
ru.bitel.bgbilling.common.dao.AbstractDirectoryIdDao<DocumentType>
ru.bitel.bgbilling.plugins.documents.server.bean.DocumentTypeDao

All Implemented Interfaces:
  `Directory<DocumentType>`

public class DocumentTypeDao extends ru.bitel.bgbilling.common.dao.AbstractDirectoryIdDao<DocumentType>
DAO ( Data Access Object - объект доступа к данным ) для типов документов. Позволяет выполнять стандартные операции: добавление/обновление/удаление типов документов в/из БД.

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DocumentTypeDao(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<DocumentType>`
  `directoryItems()`
  Получение всего списка элементов из справочника
  `DocumentType`
  `getDirectoryItem(String title)`
  Получение элемента по title(name)
  Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
  `protected DocumentType`
  `getFromRS(ResultSet rs)`
  `protected void`
  `updateImpl(DocumentType documentType)`
  Добавление/Обновление типа документа

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDirectoryIdDao

  `deleteDirectoryItem, getDirectoryItem, updateDirectoryItem`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.bgbilling.kernel.directory.api.common.bean.Directory

  `optDirectoryItem`

- ## Constructor Details

  - ### DocumentTypeDao

    public DocumentTypeDao(Connection con)

- ## Method Details

  - ### updateImpl

    protected void updateImpl(DocumentType documentType) throws SQLException
    Добавление/Обновление типа документа
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<DocumentType>`
    Throws:
      `SQLException`

  - ### getDirectoryItem

    public DocumentType getDirectoryItem(String title) throws SQLException
    Description copied from interface: `Directory`
    Получение элемента по title(name)
    Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
    Specified by:
      `getDirectoryItem` in interface `Directory<DocumentType>`
    Overrides:
      `getDirectoryItem` in class `ru.bitel.bgbilling.common.dao.AbstractDirectoryIdDao<DocumentType>`
    Parameters:
      `title` -
    Returns:
    Throws:
      `SQLException`

  - ### directoryItems

    public List<DocumentType> directoryItems() throws SQLException
    Description copied from interface: `Directory`
    Получение всего списка элементов из справочника
    Specified by:
      `directoryItems` in interface `Directory<DocumentType>`
    Overrides:
      `directoryItems` in class `ru.bitel.bgbilling.common.dao.AbstractDirectoryIdDao<DocumentType>`
    Returns:
    Throws:
      `SQLException`

  - ### getFromRS

    protected DocumentType getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<DocumentType>`
    Throws:
      `SQLException`